package com.gh.gamecenter.video

import android.widget.TextView
import com.gh.gamecenter.common.base.BaseRecyclerViewHolder
import com.gh.gamecenter.common.utils.toColor
import com.gh.gamecenter.databinding.VideoVerifyItemBinding

class VideoVerifyItemViewHolder(var binding: VideoVerifyItemBinding) : BaseRecyclerViewHolder<Any>(binding.root) {
    companion object {
        fun setVideoStatus(videoStatus: TextView, status: String) {
            videoStatus.text = when (status) {
                "pass" -> {
                    videoStatus.setTextColor(com.gh.gamecenter.common.R.color.text_00DD08.toColor())
                    "已通过"
                }
                "fail" -> {
                    videoStatus.setTextColor(com.gh.gamecenter.common.R.color.text_F10000.toColor())
                    "未通过"
                }
                "pending" -> {
                    videoStatus.setTextColor(com.gh.gamecenter.common.R.color.text_FF700F.toColor())
                    "审核中"
                }
                else -> ""
            }
        }
    }
}